Skip to main content
POST
/
v1
/
runs
/
end
/
{runId}
end a budgeted run
curl --request POST \
  --url https://api.unprice.dev/v1/runs/end/{runId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "completed"
}
'
import requests

url = "https://api.unprice.dev/v1/runs/end/{runId}"

payload = { "status": "completed" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'completed'})
};

fetch('https://api.unprice.dev/v1/runs/end/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "runId": "<string>",
  "customerId": "<string>",
  "budgetAmountMinor": 123,
  "consumedAmountMinor": 123,
  "remainingAmountMinor": 123,
  "currency": "<string>",
  "workloadId": "<string>",
  "traceId": "<string>",
  "parentRunId": "<string>",
  "endedAt": 1
}
{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string
required

The run ID

Minimum string length: 1
Example:

"brun_123"

Body

application/json

The end run payload

status
enum<string>
default:completed
Available options:
completed,
canceled,
failed

Response

The final budget run summary

runId
string
required
status
enum<string>
required
Available options:
running,
completed,
expired,
canceled,
budget_exceeded,
failed
customerId
string
required
budgetAmountMinor
integer
required
consumedAmountMinor
integer
required
remainingAmountMinor
integer
required
currency
string
required
workloadType
enum<string> | null
required
Available options:
agent,
workflow,
job,
tool,
custom,
null
workloadId
string | null
required
traceId
string | null
required
parentRunId
string | null
required
endedAt
integer | null

Authoritative run terminal timestamp in epoch milliseconds; null while running.

Required range: x >= 0